<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE Association SYSTEM "jbo_03_01.dtd">

<Association
   Name="ServiceHistoriesCreatedByUser" >
   <Data>
      <Property Name ="ID" Value ="3fd10fd9-010a-1000-802a-8d9088295bcf::::BC4JAssociation" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
   </DesignTime>
   <AssociationEnd
      Name="Users"
      Cardinality="1"
      Source="true"
      Owner="oracle.srdemo.model.entities.User" >
      <Data>
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-802b-8d9088295bcf::::BC4JAssociationEnd" />
         <Property Name ="SCOPE" Value ="INSTANCE" />
         <Property Name ="SEQUENCE" Value ="10" />
         <Property Name ="VISIBILITY" Value ="PROTECTED" />
      </Data>
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_finderName" Value="Users" />
         <Attr Name="_aggregation" Value="0" />
         <Attr Name="_foreignKey" Value="oracle.srdemo.model.entities.User.UsrPk" />
         <Attr Name="_minCardinality" Value="1" />
         <Attr Name="_isUpdateable" Value="true" />
      </DesignTime>
   </AssociationEnd>
   <AssociationEnd
      Name="ServiceHistories"
      Cardinality="-1"
      Owner="oracle.srdemo.model.entities.ServiceHistory" >
      <Data>
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-802c-8d9088295bcf::::BC4JAssociationEnd" />
         <Property Name ="SCOPE" Value ="INSTANCE" />
         <Property Name ="SEQUENCE" Value ="0" />
         <Property Name ="VISIBILITY" Value ="PROTECTED" />
      </Data>
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.ServiceHistory.CreatedBy" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_finderName" Value="ServiceHistories" />
         <Attr Name="_aggregation" Value="0" />
         <Attr Name="_foreignKey" Value="oracle.srdemo.model.entities.ServiceHistory.SvhUsrFk" />
         <Attr Name="_isUpdateable" Value="true" />
      </DesignTime>
   </AssociationEnd>
</Association>
